Create Customer Payment Method

Add Payment Method for Customer

This endpoint allows you to add a payment method for a specific customer.

Request Body

  • name (string, required): The name associated with the payment method.
  • business_name (string, required): The business name associated with the payment method.
  • bank (string, required): The bank associated with the payment method.
  • number (string, required): The number associated with the payment method.
  • method (string, required): The payment method type.
  • country (string, required): The country associated with the payment method.

Response

  • authorization_id (string): The authorization ID of the payment method.
  • account_id (string): The account ID of the payment method.
  • customer_id (string): The customer ID associated with the payment method.
  • name (string): The name associated with the payment method.
  • bank (string): The bank associated with the payment method.
  • business_name (string): The business name associated with the payment method.
  • number (string): The number associated with the payment method.
  • method (string): The payment method type.
  • country (string): The country associated with the payment method.
  • default (boolean): Indicates if the payment method is set as default.
  • deleted (boolean): Indicates if the payment method is deleted.
  • id (string): The ID of the payment method.

Example

{
    "authorization_id": "6189be80d3xw1598221a5e95",
    "account_id": "5d2d436e333e000449065b",
    "customer_id": "65aff37afebx32a42f88c178",
    "name": "Main",
    "bank": "40002",
    "business_name": "John Doe",
    "number": "1234567891234567",
    "method": "clabe",
    "country": "MX",
    "default": true,
    "deleted": false,
    "id": "65b012a47f3wx22421087230"
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Visit our Documentation to learn more about Customer Authentication and Payment Methods.

Path Params
string
required
Body Params
string
string
string
string
string
string
Response

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json